﻿




/* Desktop + Tablet Only */
@media screen and (min-width: 600px) {
    .dealsSearch .wrapper.MobileRow {
        display: grid;
        grid-template-columns: repeat(2, minmax(130px, 200px));
        /*padding: 0 16px;*/
        gap: 16px;
    }


    .DealsCategory .home-page-row:has(.SliderWraper) {
        margin-top: 16px;
        padding: 0 10px;
    }

    .NoResultSearch.dealsSearch #MainContent .home-page-row > *,
    .NoResultSearch.dealsSearch #MainContent .home-page-row > a > img {
        max-width: 1256px;
        margin: 0px auto;
        box-sizing: border-box;
        padding: 0 10px;
    }

    .dealsSearch #MainContent .topMobileBanner {
        display: none;
    }


    #MainContent .mainDeals {
        max-width: 1256px;
        margin: 0px auto;
        box-sizing: border-box;
    }

        #MainContent .mainDeals .dealsHomepage {
            padding: 0 8px;
        }

    .mainDeals .headerWapper {
        display: grid;
        grid-template-columns: minmax(250px, 341px) minmax(800px, 100%);
        column-gap: 24px;
    }

        .mainDeals .headerWapper .header {
            grid-column: 2;
            display: flex;
            justify-content: space-between;
            align-items: flex-end;
            /*align-items: center;*/
            margin-bottom: 16px;
        }

            .mainDeals .headerWapper .header .results {
                font-weight: 700;
            }

    .mainDeals .main {
        display: grid;
        /*grid-template-columns: minmax(250px, 291px) minmax(800px, 100%);*/
        grid-template-columns: minmax(250px, 100%) minmax(800px, 100%);
        column-gap: 24px;
    }

        /*   First Deal - Large */
        .mainDeals .main .mainDeal .mainItem {
            margin-bottom: 24px;
        }

            .mainDeals .main .mainDeal .mainItem .deal.SlideBox a {
                grid-template-rows: 200px 65px 1fr;
                grid-template-columns: minmax(400px,492px) minmax(360px,100%);
                width: 100%;
                height: 370px;
                column-gap: 50px;
            }

                .mainDeals .main .mainDeal .mainItem .deal.SlideBox a .deal-image {
                    grid-row: span 3;
                }

                .mainDeals .main .mainDeal .mainItem .deal.SlideBox a .dealDetailsWrap {
                    text-align: right;
                    display: grid;
                    grid-template-rows: 43px 105px 1fr;
                    max-height: 165px;
                }

                    .mainDeals .main .mainDeal .mainItem .deal.SlideBox a .dealDetailsWrap .title {
                        -webkit-line-clamp: unset;
                    }

                    .mainDeals .main .mainDeal .mainItem .deal.SlideBox a .dealDetailsWrap .desc {
                        -webkit-line-clamp: 4;
                    }

                .mainDeals .main .mainDeal .mainItem .deal.SlideBox a .deal-image > a > img {
                    width: 100%;
                    height: auto;
                    transform: unset;
                }
        /*   Deals Pair - Medium */
        .mainDeals .main .mainDeal .items {
            display: grid;
            grid-template-columns: 1fr 1fr;
            column-gap: 24px;
            margin-bottom: 24px;
        }

            .mainDeals .main .mainDeal .items .deal.SlideBox a {
                display: grid;
                grid-template-rows: 222px 148px 70px 75px;
                height: 550px;
            }

                .mainDeals .main .mainDeal .items .deal.SlideBox a .dealDetailsWrap {
                    text-align: right;
                    grid-template-rows: 42px 44px 44px;
                }

                .mainDeals .main .mainDeal .items .deal.SlideBox a .deal-image > a > img {
                    width: 85%;
                    height: auto;
                    transform: unset;
                }

        /*   Banners  */
        .mainDeals .main .mainDeal .smallItems #moredeals .cat-bannermiddle, .mainDeals .main .mainDeal .smallItems #moredeals .newsletter {
            grid-column: 1 / -1;
        }

        /*   Deals 3 In A Row - Medium */
        .mainDeals .main .mainDeal .smallItems #moredeals .wrapper {
            display: grid;
            grid-template-columns: repeat(3, minmax(250px,291px));
            gap: 24px;
            margin-bottom: 24px;
        }

            .mainDeals .main .mainDeal .smallItems #moredeals .wrapper .deal.SlideBox > a {
                height: 511px;
                grid-template-rows: 180px 150px 65px 72px;
            }

                .mainDeals .main .mainDeal .smallItems #moredeals .wrapper .deal.SlideBox > a .dealDetailsWrap {
                    /*all: unset;*/
                    align-content: center;
                    /*grid-template-rows: 28px 48px 48px;*/
                    grid-template-rows: 41px 48px 48px;
                    text-align: right;
                }

                    .mainDeals .main .mainDeal .smallItems #moredeals .wrapper .deal.SlideBox > a .dealDetailsWrap .title {
                        -webkit-line-clamp: 2;
                    }

    /* Load More */
    .DealsCategory .main .mainDeal .loadmore, .DealsCategory .main .mainDeal .mpZapLink {
        height: 42px;
        width: 332px;
        border-radius: 5px;
        color: #FFFFFF;
        font-family: 'Assistant', Arial, sans-serif;
        font-size: 17px;
        margin: 2rem auto;
        cursor: pointer;
        background-color: #077B97;
        line-height: 2.5;
    }

        .DealsCategory .main .mainDeal .loadmore span {
            color: #ffffff;
        }
}

.mainDeals .DealsCategory .banner {
    padding: 1rem 0;
}

/* Tablet */
@media screen and (max-width: 900px) and (min-width: 600px) {
}


/* Mobile  */
@media screen and (max-width: 600px) {
    .NoResultSearch #CategoriesTopSlider > h1 {
        font-size: 22px;
        overflow: scroll;
    }

    .DealsCategory .home-page-row:has(.SliderWraper) {
        padding-right: 12px;
    }

    .DealsCategory #MainContent .mainDeal {
        display: flex;
        flex-direction: column;
        row-gap: 16px;
        padding: 0 16px;
    }

        .DealsCategory #MainContent .mainDeal .items {
            display: flex;
            flex-direction: column;
            row-gap: 16px;
        }

            .DealsCategory #MainContent .mainDeal .mainItem .deal.SlideBox > a,
            .DealsCategory #MainContent .mainDeal .items .deal.SlideBox > a {
                width: 100%;
                column-gap: 16px;
                height: 245px;
            }

    .dealsSearch .wrapper.MobileRow .cat-bannermiddle,
    .dealsSearch .wrapper.MobileRow .newsletter {
        grid-column: span 2;
    }

    .newsletter.categoryNewsletter {
        width: fit-content;
        margin: 0;
    }


    .DealsCategory .wrapper.MobileRow {
        display: grid;
        grid-template-columns: repeat(2,minmax(144px, 210px));
        justify-content: space-around;
        gap: 16px;
        margin-bottom: 16px;
    }

    .DealsCategory .headerWapper .header {
        display: flex;
        padding-right: 16px;
        gap: 8px;
        margin-bottom: 16px;
    }

        .DealsCategory .headerWapper .header .FilterContainer {
            min-width: 87px;
        }

    .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a,
    .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a {
        display: grid;
        grid-template-columns: 1fr 1fr;
        /*grid-template-rows: unset;*/
        grid-template-rows: 89px 54px 76px;
        padding: 12px;
    }

        .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .deal-image,
        .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .deal-image {
            grid-row: span 2;
        }

        .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .deal-image,
        .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .deal-image {
            height: unset;
        }

            .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .deal-image > img,
            .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .deal-image > img {
                /*margin-top: 24px;*/
                max-height: 150px;
                width: 100%;
                height: auto;
            }

        .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealDetailsWrap,
        .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealDetailsWrap {
            row-gap: 5px;
            grid-template-rows: 45px 60px;
            margin-bottom: 5px;
        }

            .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealDetailsWrap .discountTag,
            .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealDetailsWrap .discountTag {
                height: 20px;
            }

            .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealDetailsWrap .desc,
            .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealDetailsWrap .desc {
                display: none;
            }

            .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealDetailsWrap .title,
            .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealDetailsWrap .title {
                -webkit-line-clamp: 3;
                max-height: unset;
                text-align: right;
            }

        .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealInfo,
        .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealInfo {
            margin-top: 0;
            margin-bottom: 5px;
        }

        .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealBottom,
        .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealBottom {
            grid-column: span 2;
            margin-top: 8px;
        }

            .DealsCategory .DealsCategory .main .mainDeal .mainItem .deal.SlideBox > a .dealBottom > a,
            .DealsCategory .DealsCategory .main .mainDeal .items .deal.SlideBox > a .dealBottom > a {
                margin-bottom: 2px;
            }

    .mainDeals .DealsCategory .banner {
        padding: 0;
        margin: 0 auto;
        max-width: 950px;
    }

        .mainDeals .DealsCategory .banner img {
            width: 92%;
        }
    .cat-bannermiddle {
        display: flex;
        justify-content: center;
    }
}


.mainDeal .loadmore {
    width: fit-content;
    margin: auto;
    background: #5FC5D7;
    padding: 8px 10px;
    border-radius: 4px;
    display: flex;
    justify-content: center;
}
.bottomBannerContainer .bottomBanner {
    padding-right: 340px;
}